Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Gateway_IIOP_Factory Class Reference

Factory for the EC_Gateway_IIOP settings. More...

`#include <EC_Gateway_IIOP_Factory.h>`

Inheritance diagram for TAO_EC_Gateway_IIOP_Factory:

[legend]
Collaboration diagram for TAO_EC_Gateway_IIOP_Factory:

[legend]
List of all members.

## Public Methods
| TAO_EC_Gateway_IIOP_Factory (void)
virtual | ~TAO_EC_Gateway_IIOP_Factory (void)
TAO_ECG_ConsumerEC_Control * | create_consumerec_control (TAO_EC_Gateway_IIOP *gateway)
| Create the consumer event channel control.
void | destroy_consumerec_control (TAO_ECG_ConsumerEC_Control *x)
| Destroy consumer event channel control.
int | use_ttl (void) const
| Accessors to use_ttl flag.
int | use_consumer_proxy_map (void) const
| Accessors to use_consumer_proxy_map flag.
virtual int | init (int argc, char *argv[])
virtual int | fini (void)
## Static Public Methods
int | init_svcs (void)
## Protected Attributes
ACE_CString | orbid_
| Use this ORB to locate global resources.
int | consumer_ec_control_
| The control policy for the consumer event channel.
int | consumer_ec_control_period_
| The consumer event channel control periods in usecs.
ACE_Time_Value | consumer_ec_control_timeout_
| The control timeout in usecs for the consumer event channel.
int | use_ttl_
int | use_consumer_proxy_map_
## Private Methods
void | unsupported_option_value (const char *option_name, const char *option_value)

## Detailed Description

Factory for the EC_Gateway_IIOP settings.

Default configuration values can be found in ECG_Defaults.h

## Constructor & Destructor Documentation

TAO_EC_Gateway_IIOP_Factory::TAO_EC_Gateway_IIOP_Factory | ( | void |  | ) |

TAO_EC_Gateway_IIOP_Factory::~TAO_EC_Gateway_IIOP_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_ECG_ConsumerEC_Control * TAO_EC_Gateway_IIOP_Factory::create_consumerec_control | ( | TAO_EC_Gateway_IIOP * | gateway | ) |

| Create the consumer event channel control.

void TAO_EC_Gateway_IIOP_Factory::destroy_consumerec_control | ( | TAO_ECG_ConsumerEC_Control * | x | ) |

| Destroy consumer event channel control.

int TAO_EC_Gateway_IIOP_Factory::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_EC_Gateway_IIOP_Factory::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

int TAO_EC_Gateway_IIOP_Factory::init_svcs | ( | void |  | ) | `[static]`

| Helper function to register the Gateway into the service configurator.

void TAO_EC_Gateway_IIOP_Factory::unsupported_option_value | ( | const char * | option_name,
|  | const char * | option_value
| ) | `[private]`

| Helper for agrument parsing. Prints out an error message about unsupported option value.

ACE_INLINE int TAO_EC_Gateway_IIOP_Factory::use_consumer_proxy_map | ( | void |  | ) | const

| Accessors to use_consumer_proxy_map flag.

ACE_INLINE int TAO_EC_Gateway_IIOP_Factory::use_ttl | ( | void |  | ) | const

| Accessors to use_ttl flag.

## Member Data Documentation

int TAO_EC_Gateway_IIOP_Factory::consumer_ec_control_`[protected]`

| The control policy for the consumer event channel.

int TAO_EC_Gateway_IIOP_Factory::consumer_ec_control_period_`[protected]`

| The consumer event channel control periods in usecs.

ACE_Time_Value TAO_EC_Gateway_IIOP_Factory::consumer_ec_control_timeout_`[protected]`

| The control timeout in usecs for the consumer event channel.

ACE_CString TAO_EC_Gateway_IIOP_Factory::orbid_`[protected]`

| Use this ORB to locate global resources.

int TAO_EC_Gateway_IIOP_Factory::use_consumer_proxy_map_`[protected]`

| The flag for using the consumer proxy map. With 1 the consumer proxy map is used, meaning that for each unique source id we use a different proxy push consumer, if 0, we only use one proxy push consumer for all source ids.

int TAO_EC_Gateway_IIOP_Factory::use_ttl_`[protected]`

| If 1, we use the TTL flags, if 0, we just ignore TTL. Note: When this flag is set to 0, make sure that no recursive structures exists in the gateway setup for the same source/type combination, else one event will flow continuosly through all gateways.

The documentation for this class was generated from the following files:

- EC_Gateway_IIOP_Factory.h
- EC_Gateway_IIOP_Factory.cpp
- EC_Gateway_IIOP_Factory.i